# netbox

https://netbox.readthedocs.io/en/stable/configuration/optional-settings/

`kubectl create -n netbox secret generic netbox-napalm --from-literal=napalm-username='userfoo' --from-literal=napalm-password='passfoo`

<pre>
env:
- name: NAPALM_USERNAME
  valueFrom:
    secretKeyRef:
      name: netbox-napalm
      key: napalm-username
- name: NAPALM_PASSWORD
  valueFrom:
    secretKeyRef:
      name: netbox-napalm
      key: napalm-password
</pre>

https://github.com/bootc/netbox-chart

```TILLER_NAMESPACE=netbox helm install --name netbox bootc/netbox -f values.yaml```